
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 2
%global namedversionrel redhat-6

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}atinject}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.redhat-6

Name:           %{?scl_prefix}atinject
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        javax.inject
Group:          Development/Java

%if %with mead
Source100: javax.inject-1.0.0.redhat-6-scm-sources.zip
Source102: javax.inject-1.0.0.redhat-6.pom
Source103: javax.inject-1.0.0.redhat-6-project-sources.tar.gz
Source104: javax.inject-1.0.0.redhat-6-javadoc.jar
Source105: javax.inject-1.0.0.redhat-6.jar
Source106: javax.inject-1.0.0.redhat-6-sources.jar
%endif

License:        ASL 2.0
URL:            http://code.google.com/p/atinject/
Provides:       %{?scl_prefix}javax.inject = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The javax.inject API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javax.inject
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n atinject -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javax.inject-%{namedversion}.jar %{buildroot}%{_javadir}/javax.inject-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javax.inject-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javax.inject-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javax.inject-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javax.inject-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javax.inject-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javax.inject-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javax.inject-%{namedversion} -x META-INF/\*
%{__ln_s} javax.inject-%{namedversion} %{buildroot}%{_javadocdir}/javax.inject
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/javax.inject-%{namedversion}.jar
%{_javadir}/javax.inject.jar
%if %with javadoc
%{_javadir}/javax.inject-%{namedversion}-javadoc.jar
%{_javadir}/javax.inject-javadoc.jar
%endif
%{_javadir}/javax.inject-%{namedversion}-sources.jar
%{_javadir}/javax.inject-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javax.inject-%{namedversion}
%{_javadocdir}/javax.inject
%endif

%changelog
* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.redhat_6.1
- release

